
QGIS Application - Bug report #3996

wrong extents in shapefile.

2011-06-17 07:25 AM - Daniel Derrien

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13985

Description

I opened a shapefile, selected some features, translated them, then saved my file. I then discovered that the bounds saved in the

shapefile were wrong.

When I later opened the file (with wrong bounds) in an older version of qgis(1.4.0), and exported it in another file the bound were

recomputed and the new file had correct bounds.

The wrong shapefile in joined files is named "multi_bati_final", and the one with correctly recomputed bounds

"multi_bati_final_with_correct_bounds".

History

#1 - 2011-08-29 10:43 PM - Paolo Cavallini

- Category set to Vectors

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-03 05:50 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello,

what did you mean by bounds (extent of the layer ?) and translated (reprojected ?) ?

Could you still reproduce this bug on a recent version of QGIS ? If it is the case, can you supply at least three layers (in order to easily reproduce the bug):

- the original one (not translated/reprojected).
- the bad translated one.

- the layer that should have been produced by QGIS.

Thanks !

#7 - 2015-12-20 08:57 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

if there was an issue this seems long gone, reopen if necessary.

Files

shp_with_wrong_bounds.zip 765 KB 2011-06-17 Daniel Derrien
